---
title: "Retrieves stats data by connection type"
slug: "retrieves-stats-data-by-connection-type"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/retrieves-stats-data-by-connection-type"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Retrieves stats data by connection type
Get/api/v1/connections/{connection_type}/stats
SecurityHTTPType bearer
Path parametersconnection_typestringRequired
connection_type
Query parametersfromDatestring
The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2024-08-10T10:50:35+0000
toDatestring
The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2024-08-06T11:50:35+0000
Responses200
OK
Expand Allobject authorizationboolean
data Array of object (ConnectionStats) object connection_countinteger
datestring
device_countinteger
group_countinteger
site_countinteger
total_connection_countinteger
total_device_countinteger
total_group_countinteger
total_site_countinteger
total_user_countinteger
typestring
user_countinteger
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
500
Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean